Uploaded image for project: 'Funtoo Linux'
  1. Funtoo Linux
  2. FL-2167

ffmpeg has unmet requirements

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Labels:
    • Environment:

      PURE64, fx-8150, bulldozer stage 3

      Description

      I get the following when I try to run an emerge --update --newuse --deep --ask --with-bdeps=y @world. I have not changed anything in my make.conf that would cause this issue to appear:

      !!! The ebuild selected to satisfy "media-video/ffmpeg:0=" has unmet requirements.

      • media-video/ffmpeg-2.6::gentoo USE="X aac alsa bluray bzip2 cdio encode faac gpl hardcoded-tables iconv ieee1394 jpeg2k libass mp3 network opengl postproc theora threads truetype twolame v4l vorbis vpx wavpack webp x264 x265 xvid zlib -aacplus (-altivec) -amr -amrenc (-armv5te) (-armv6) (-armv6t2) (-armvfp) -bs2b -celt -cpudetection -debug -doc -examples -fdk -flite -fontconfig -frei0r -fribidi -gme -gnutls -gsm -iec61883 -jack -ladspa -libcaca -libsoxr -libv4l -lzma (-mipsdspr1) (-mipsdspr2) (-mipsfpu) -modplug (-neon) -openal -openssl -opus -oss -pic -pulseaudio -quvi -rtmp -samba -schroedinger -sdl -speex -ssh -static-libs -test -vaapi -vdpau -xcb -zvbi" CPU_FLAGS_X86="mmx sse sse2 -3dnow -3dnowext -avx -avx2 -fma3 -fma4 -mmxext -sse3 -sse4_1 -sse4_2 -ssse3 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher"

      The following REQUIRED_USE flag constraints are unsatisfied:
      cpu_flags_x86_sse? ( cpu_flags_x86_mmxext )

      The above constraints are a subset of the following complete expression:
      libv4l? ( v4l ) fftools_cws2fws? ( zlib ) test? ( encode ) postproc? ( gpl ) frei0r? ( gpl ) cdio? ( gpl ) samba? ( gpl ) zvbi? ( gpl ) encode? ( x264? ( gpl ) x265? ( gpl ) xvid? ( gpl ) X? ( !xcb? ( gpl ) ) ) cpu_flags_x86_avx2? ( cpu_flags_x86_avx ) cpu_flags_x86_fma4? ( cpu_flags_x86_avx ) cpu_flags_x86_fma3? ( cpu_flags_x86_avx ) cpu_flags_x86_xop? ( cpu_flags_x86_avx ) cpu_flags_x86_avx? ( cpu_flags_x86_sse4_2 ) cpu_flags_x86_sse4_2? ( cpu_flags_x86_sse4_1 ) cpu_flags_x86_sse4_1? ( cpu_flags_x86_ssse3 ) cpu_flags_x86_ssse3? ( cpu_flags_x86_sse3 ) cpu_flags_x86_sse3? ( cpu_flags_x86_sse2 ) cpu_flags_x86_sse2? ( cpu_flags_x86_sse ) cpu_flags_x86_sse? ( cpu_flags_x86_mmxext ) cpu_flags_x86_mmxext? ( cpu_flags_x86_mmx ) cpu_flags_x86_3dnowext? ( cpu_flags_x86_3dnow ) cpu_flags_x86_3dnow? ( cpu_flags_x86_mmx )

      (dependency required by "media-libs/gegl-0.2.0-r2 [ffmpeg" [installed)
      (dependency required by "media-gfx/gimp-2.8.14" [installed)
      (dependency required by "@selected" [set)
      (dependency required by "@world" [argument)

      Note: I had to cut out the ending brackets ']' from the end of the quote because they were turning red and adding additional spacing.

        Attachments

          Activity

            People

            Assignee:
            Unassigned
            Reporter:
            duncan.britton duncan.britton@outlook.com
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: